﻿using System;

namespace Library
{
    public class Borrower : IEquatable<Borrower>
    {
        private readonly int _id;
        public Borrower(int id, string name, string address)
        {
            _id = id;
            Name = name;
            Address = address;
        }

        public int Id { get { return _id; } }

        public String Name { get; set; }

        public String Address { get; set; }

        public override string ToString()
        {
            return string.Format("Borrower({0}, {1}, {2})", Id, Name, Address);
        }

        public bool Equals(Borrower other)
        {
            if (other == null) return false;
            return Id.Equals(other.Id);
        }

        public override bool Equals(object obj)
        {
            if (obj == null) return false;
            Borrower other = obj as Borrower;
            if (other == null) return false;
            return Equals(other);
        }

        public override int GetHashCode()
        {
            return Id.GetHashCode();
        }
    }
}
