﻿using System.Collections;
using System.Collections.Generic;

namespace Library
{
    public class BorrowerCatalog : IEnumerable<Borrower>
    {
        private readonly IList<Borrower> _borrowers = new List<Borrower>();

        public void Add(Borrower borrower)
        {
            if (_borrowers.Contains(borrower))
            {
                throw new LibraryException(string.Format("Borrower already in catalog: {0}", borrower));
            }
            _borrowers.Add(borrower);
        }

        public bool Add2(Borrower borrower)
        {
            if (_borrowers.Contains(borrower))
            {
                return false;
            }
            _borrowers.Add(borrower);
            return true;
        }

        public Borrower Get(int id)
        {
            foreach (Borrower borrower in _borrowers)
            {
                if (borrower.Id == id) return borrower;
            }
            return null;
        }

        public IEnumerator<Borrower> GetEnumerator()
        {
            return _borrowers.GetEnumerator();
        }

        public override string ToString()
        {
            return _borrowers.ToString();
        }

        IEnumerator IEnumerable.GetEnumerator()
        {
            return GetEnumerator();
        }
    }
}
