﻿using Library;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace LibraryTest
{
    [TestClass]
    public class BorrowerCatalogTest
    {
        private BorrowerCatalog _catalog;
        [TestInitialize]
        public  void Before()
        {
             _catalog = new BorrowerCatalog();
        }

        [TestMethod]
        public void TestAdd()
        {
            Borrower borrower = new Borrower(1, "Anders", "Roskilde");
            _catalog.Add(borrower);
            try
            {
                _catalog.Add(borrower);
                Assert.Fail();
            }
            catch (LibraryException ex)
            {
                Assert.AreEqual("Borrower already in catalog: Borrower(1, Anders, Roskilde)", ex.Message);
            }
        }

        [TestMethod]
        public void TestAdd2()
        {
            Borrower borrower = new Borrower(1, "Anders", "Roskilde");
            bool added = _catalog.Add2(borrower);
            Assert.IsTrue(added);
            added = _catalog.Add2(borrower);
            Assert.IsFalse(added);
        }

    }
}
